Debian Bug report logs - #687402
beanstalkd: FTBFS: tests failed

version graph

Package: src:beanstalkd; Maintainer for src:beanstalkd is Gregory Potamianos <greg.potamianos@gmail.com>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 12 Sep 2012 13:24:08 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version beanstalkd/1.4.6-3

Fixed in versions beanstalkd/1.7-1, beanstalkd/1.4.6-3.1, beanstalkd/1.4.6-4

Done: Serafeim Zanikolas <sez@debian.org>

Bug is archived. No further changes may be made.

Forwarded to kr@xph.us

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Serafeim Zanikolas <sez@debian.org>:
Bug#687402; Package src:beanstalkd. (Wed, 12 Sep 2012 13:24:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Serafeim Zanikolas <sez@debian.org>. (Wed, 12 Sep 2012 13:24:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: beanstalkd: FTBFS: tests failed
Date: Wed, 12 Sep 2012 15:07:51 +0200
Source: beanstalkd
Version: 1.4.6-3
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120912 qa-ftbfs
Justification: FTBFS in wheezy on amd64

Hi,

During a rebuild of all packages in *wheezy*, your package failed to
build on amd64.

Relevant part:
> make[1]: Entering directory `/«PKGBUILDDIR»'
> gcc -DHAVE_CONFIG_H -I.     -g -O2  -Wall -Werror -I/usr/include -c -o cutgen.o cutgen.c
> gcc  -g -O2  -Wall -Werror -I/usr/include  -L/usr/lib -o cutgen cutgen.o  -levent -levent  -levent
> mkdir -p tests
> ./cutgen -o tests/cutcheck.c ./tests/test_job.c ./tests/test_pq.c
>   - parsing './tests/test_job.c'... done.
>   - parsing './tests/test_pq.c'... done.
> gcc -DHAVE_CONFIG_H -I.     -g -O2  -Wall -Werror -I/usr/include -c -o tests/cutcheck.o tests/cutcheck.c
> gcc -DHAVE_CONFIG_H -I.     -g -O2  -Wall -Werror -I/usr/include -c -o cut.o cut.c
> gcc -DHAVE_CONFIG_H -I.     -g -O2  -Wall -Werror -I/usr/include -c -o tests/test_job.o tests/test_job.c
> gcc -DHAVE_CONFIG_H -I.     -g -O2  -Wall -Werror -I/usr/include -c -o tests/test_pq.o tests/test_pq.c
> gcc  -g -O2  -Wall -Werror -I/usr/include  -L/usr/lib -o tests/cutcheck tests/cutcheck.o cut.o binlog.o conn.o job.o ms.o net.o port.o pq.o primes.o prot.o tube.o util.o tests/test_job.o tests/test_pq.o  -levent -levent  -levent
> tests/cutcheck
> 
>     0..........   10...
> 
> 13 tests; 0 failures; 0 errors.
> SRCDIR=. ./check.sh ./sh-tests/*.commands sh-tests/*.sh
> loopback interface is configured, getting on with tests
> ./sh-tests/allow-underscore.commands
>  ./beanstalkd -l 127.0.0.1 -p 40874 -z 10 &
> Started beanstalkd (pid: 14488), listening on port 40874
> ./sh-tests/delete_ready.commands
>  ./beanstalkd -l 127.0.0.1 -p 13945 -z 10 &
> Started beanstalkd (pid: 14496), listening on port 13945
> ./sh-tests/multi-tube.commands
>  ./beanstalkd -l 127.0.0.1 -p 43557 -z 10 &
> Started beanstalkd (pid: 14504), listening on port 43557
> ./sh-tests/no_negative_delays.commands
>  ./beanstalkd -l 127.0.0.1 -p 15031 -z 10 &
> Started beanstalkd (pid: 14512), listening on port 15031
> ./sh-tests/omit-time-left.commands
>  ./beanstalkd -l 127.0.0.1 -p 29365 -z 10 &
> Started beanstalkd (pid: 14520), listening on port 29365
> ./sh-tests/pause-tube.commands
>  ./beanstalkd -l 127.0.0.1 -p 19063 -z 10 &
> Started beanstalkd (pid: 14528), listening on port 19063
> ./sh-tests/small_delay.commands
>  ./beanstalkd -l 127.0.0.1 -p 17319 -z 10 &
> Started beanstalkd (pid: 14536), listening on port 17319
> ./sh-tests/too-big.commands
>  ./beanstalkd -l 127.0.0.1 -p 39171 -z 10 &
> Started beanstalkd (pid: 14544), listening on port 39171
> ./sh-tests/ttr-large.commands
>  ./beanstalkd -l 127.0.0.1 -p 21893 -z 10 &
> Started beanstalkd (pid: 14552), listening on port 21893
> ./sh-tests/zero_delay.commands
>  ./beanstalkd -l 127.0.0.1 -p 27048 -z 10 &
> Started beanstalkd (pid: 14560), listening on port 27048
> sh-tests/binlog-allocation.sh
>  ./beanstalkd -l 127.0.0.1 -p 35190 -b /tmp/bnch14567.d -s 601 &
> Started beanstalkd (pid: 14569), listening on port 35190
> sh-tests/binlog-basic.sh
>  ./beanstalkd -l 127.0.0.1 -p 31443 -b /tmp/bnch14576.d  &
> Started beanstalkd (pid: 14578), listening on port 31443
>  ./beanstalkd -l 127.0.0.1 -p 23412 -b /tmp/bnch14576.d  &
> Started beanstalkd (pid: 14586), listening on port 23412
> sh-tests/binlog-bury.sh
>  ./beanstalkd -l 127.0.0.1 -p 41544 -b /tmp/bnch14593.d  &
> Started beanstalkd (pid: 14595), listening on port 41544
> sh-tests/binlog-diskfull-delete.sh
> fiu-run -x ./beanstalkd -l 127.0.0.1 -p 32452 -b /tmp/bnch14602.d -s 1000 &
> Started beanstalkd (pid: 14605), listening on port 32452
> 4,5c4,5
> < OUT_OF_MEMORY

> < OUT_OF_MEMORY

> ---
> > INSERTED 9

> > INSERTED 10

> FAIL: sh-tests/binlog-diskfull-delete.sh
> make[1]: *** [check-shell] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/09/12/beanstalkd_1.4.6-3_wheezy.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.



Added tag(s) pending. Request was from Serafeim Zanikolas <sez@debian.org> to control@bugs.debian.org. (Thu, 13 Sep 2012 16:54:03 GMT) Full text and rfc822 format available.

Reply sent to Serafeim Zanikolas <sez@debian.org>:
You have taken responsibility. (Sat, 15 Sep 2012 11:36:08 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 15 Sep 2012 11:36:08 GMT) Full text and rfc822 format available.

Message #12 received at 687402-close@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: 687402-close@bugs.debian.org
Subject: Bug#687402: fixed in beanstalkd 1.7-1
Date: Sat, 15 Sep 2012 11:32:42 +0000
Source: beanstalkd
Source-Version: 1.7-1

We believe that the bug you reported is fixed in the latest version of
beanstalkd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687402@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Serafeim Zanikolas <sez@debian.org> (supplier of updated beanstalkd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 15 Sep 2012 12:18:05 +0200
Source: beanstalkd
Binary: beanstalkd
Architecture: source i386
Version: 1.7-1
Distribution: unstable
Urgency: high
Maintainer: Serafeim Zanikolas <sez@debian.org>
Changed-By: Serafeim Zanikolas <sez@debian.org>
Description: 
 beanstalkd - simple, in-memory, workqueue service
Closes: 666775 687402
Changes: 
 beanstalkd (1.7-1) unstable; urgency=high
 .
   * New upstream (Closes: #666775, #687402); high urgency due to RC bugs
   * Add Vcs-* headers in debian/control
Checksums-Sha1: 
 28dcef1baaf4cf27454a2193f6f59e96d32a892e 1853 beanstalkd_1.7-1.dsc
 e14f40f2c649b0ee1d5edcbb897fc17d2ea4ed62 59829 beanstalkd_1.7.orig.tar.gz
 33cfdd4968913791cf3a0c6a702c7ffb43df4c40 8081 beanstalkd_1.7-1.debian.tar.gz
 af7618bbb410eb317a0444b9f689688994b4e21c 47070 beanstalkd_1.7-1_i386.deb
Checksums-Sha256: 
 ae4e40ae2cc5a9a0cf7939ebf37fe6030e65f46e5d00c97be802fe1746ef31c6 1853 beanstalkd_1.7-1.dsc
 1d851677096d3cee4ee5710ee6cf1cebe8f2b5d9fa05792561ab55b534cbdaf8 59829 beanstalkd_1.7.orig.tar.gz
 b6392864138fd6085f8dacac3f9fa3f0c9a9909cb903cca210f55e73f51ecc11 8081 beanstalkd_1.7-1.debian.tar.gz
 bed3a06604d9bdbbcb555dc9623d9329faec1c0d06022bdebe3db9bd32537ce9 47070 beanstalkd_1.7-1_i386.deb
Files: 
 48fca4b3be331e2893428e4b1ad9d5f8 1853 net extra beanstalkd_1.7-1.dsc
 531d93aad176b4c152fe18d3c698dad8 59829 net extra beanstalkd_1.7.orig.tar.gz
 5541cb9465198bad1758d8d38109ce40 8081 net extra beanstalkd_1.7-1.debian.tar.gz
 334ad81a6cddcd7baa43cda6308f0041 47070 net extra beanstalkd_1.7-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQVGPQAAoJEE+fbVUO1hIqXBUQAI/BORZvx9TeQ9XI5WIfc7Wi
5mF0NmA8Dl8CJkkXGVr/6Ky9ibZA27cx9U/T48Co2URIC/S7GxorGJ0gTElkDx33
ERJikF162a8/0iFDHfBgwslrHqngsoKsJUGxFOYruqTkfFZVkQnrxLT3WtklXy8d
NMvjie4WcVHpXHrydZvFnolQawcR+titpVb4zGERxNibjEYHgIjrCHnHroblfrPU
QDxvnDlAfcwX92mH+nbV6QEWlQ6EZlu4ZczCGE8WC4e3kkJ67O4lXIJnh70Zo8gA
tJzO05u7eRKfIWmaS5H/9qeGPqHGdHol0x1BpBqBuWBssnl9heR7MsfeF4LEJHoa
ANQM78HGz0g7fMMYDQEG71vzl6awk0nZ4aVxiADol5+YUhMP+Ro4EqcHqOuejAT2
Ej05skE6KmLB8ykY9X2fQLfSExYcLWHyaTDe6ZvGMf0QsntcyQRgOtfEshX5KvX0
VuLE/mEoPIzihutu/dVdIeSnPJ0MoSkx+irWAzqm5pfdgY6hPg8T00KnG2yYY/EK
rh7rnQPOXbl+YZG/UqA7F/8LYF5r4Bpt5/Dd7IX6TTQ5Ub22UjcZwAAzxaOWFUNM
wKdod0NZrHEiAV5FKZb0p8fyFC/Pgoj3+1EEQ5RPI63LYBra5WexYH8FafXxtG84
YuyaxqPTjD4KFqs2qosc
=3B9o
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#687402; Package src:beanstalkd. (Wed, 19 Sep 2012 20:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. (Wed, 19 Sep 2012 20:39:07 GMT) Full text and rfc822 format available.

Message #17 received at 687402@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: Keith Rarick <kr@xph.us>
Cc: 687402@bugs.debian.org
Subject: Re: Bug#687402: beanstalkd: FTBFS: tests failed
Date: Wed, 19 Sep 2012 22:33:31 +0200
[Message part 1 (text/plain, inline)]
Hi Keith,

beanstalkd 1.4.6 does not pass anymore the test binlog-diskfull-delete.sh.
(Just a reminder: 1.4.6 is the version intended for the upcoming Debian
stable, since 1.5 & 1.6 had failing tests and were not fixed before the Debian
freeze deadline.)

On Wed, Sep 12, 2012 at 03:07:51PM +0200, Lucas Nussbaum wrote:
> Source: beanstalkd
> Version: 1.4.6-3
> Severity: serious
> Tags: wheezy sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20120912 qa-ftbfs
> Justification: FTBFS in wheezy on amd64
> 
> Hi,
> 
> During a rebuild of all packages in *wheezy*, your package failed to
> build on amd64.
> 
> Relevant part:
> > make[1]: Entering directory `/«PKGBUILDDIR»'
> > gcc -DHAVE_CONFIG_H -I.     -g -O2  -Wall -Werror -I/usr/include -c -o cutgen.o cutgen.c
> > gcc  -g -O2  -Wall -Werror -I/usr/include  -L/usr/lib -o cutgen cutgen.o  -levent -levent  -levent
> > mkdir -p tests
> > ./cutgen -o tests/cutcheck.c ./tests/test_job.c ./tests/test_pq.c
> >   - parsing './tests/test_job.c'... done.
> >   - parsing './tests/test_pq.c'... done.
> > gcc -DHAVE_CONFIG_H -I.     -g -O2  -Wall -Werror -I/usr/include -c -o tests/cutcheck.o tests/cutcheck.c
> > gcc -DHAVE_CONFIG_H -I.     -g -O2  -Wall -Werror -I/usr/include -c -o cut.o cut.c
> > gcc -DHAVE_CONFIG_H -I.     -g -O2  -Wall -Werror -I/usr/include -c -o tests/test_job.o tests/test_job.c
> > gcc -DHAVE_CONFIG_H -I.     -g -O2  -Wall -Werror -I/usr/include -c -o tests/test_pq.o tests/test_pq.c
> > gcc  -g -O2  -Wall -Werror -I/usr/include  -L/usr/lib -o tests/cutcheck tests/cutcheck.o cut.o binlog.o conn.o job.o ms.o net.o port.o pq.o primes.o prot.o tube.o util.o tests/test_job.o tests/test_pq.o  -levent -levent  -levent
> > tests/cutcheck
> > 
> >     0..........   10...
> > 
> > 13 tests; 0 failures; 0 errors.
> > SRCDIR=. ./check.sh ./sh-tests/*.commands sh-tests/*.sh
> > loopback interface is configured, getting on with tests
> > ./sh-tests/allow-underscore.commands
> >  ./beanstalkd -l 127.0.0.1 -p 40874 -z 10 &
> > Started beanstalkd (pid: 14488), listening on port 40874
[..]
> > Started beanstalkd (pid: 14595), listening on port 41544
> > sh-tests/binlog-diskfull-delete.sh
> > fiu-run -x ./beanstalkd -l 127.0.0.1 -p 32452 -b /tmp/bnch14602.d -s 1000 &
> > Started beanstalkd (pid: 14605), listening on port 32452
> > 4,5c4,5
> > < OUT_OF_MEMORY
> 
> > < OUT_OF_MEMORY
> 
> > ---
> > > INSERTED 9
> 
> > > INSERTED 10
> 
> > FAIL: sh-tests/binlog-diskfull-delete.sh
> > make[1]: *** [check-shell] Error 1

1.4.6 used to pass over a year ago (1.4.6 is what was shipped in the current
Debian stable) but it now fails with an OOM protocol error.

The failure is reproducible on amd64 and i686 (I'd guess in all arches).
Since there's been no code changes in the meantime, I'd guess this might be
due to changes in dependencies.

You can compare the list of dependencies from the failing and the latest
successful builds on amd64 from the pages below (libevent stands out; changed
from libevent-core-1.4-2 to libevent-core-2.0-5).

failing build log:
http://people.debian.org/~lucas/logs/2012/09/12/beanstalkd_1.4.6-3_wheezy.log

latest successful build log:
https://buildd.debian.org/status/fetch.php?pkg=beanstalkd&arch=amd64&ver=1.4.6-3&stamp=1313331895

In replies, please keep the bug report in CC.

cheers,
sez

-- 
Every great idea is worthless without someone to do the work. --Neil Williams
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Serafeim Zanikolas <sez@debian.org>:
Bug#687402; Package src:beanstalkd. (Thu, 20 Sep 2012 01:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith Rarick <kr@xph.us>:
Extra info received and forwarded to list. Copy sent to Serafeim Zanikolas <sez@debian.org>. (Thu, 20 Sep 2012 01:54:03 GMT) Full text and rfc822 format available.

Message #22 received at 687402@bugs.debian.org (full text, mbox):

From: Keith Rarick <kr@xph.us>
To: Serafeim Zanikolas <sez@debian.org>
Cc: 687402@bugs.debian.org
Subject: Re: Bug#687402: beanstalkd: FTBFS: tests failed
Date: Wed, 19 Sep 2012 18:50:43 -0700
A number of people have reported problems using libevent 2.
I'd suggest sticking to libevent 1.4; that is the version that
beanstalkd was developed and tested with.



Information forwarded to debian-bugs-dist@lists.debian.org, Serafeim Zanikolas <sez@debian.org>:
Bug#687402; Package src:beanstalkd. (Tue, 25 Sep 2012 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith Rarick <kr@xph.us>:
Extra info received and forwarded to list. Copy sent to Serafeim Zanikolas <sez@debian.org>. (Tue, 25 Sep 2012 00:09:03 GMT) Full text and rfc822 format available.

Message #27 received at 687402@bugs.debian.org (full text, mbox):

From: Keith Rarick <kr@xph.us>
To: Serafeim Zanikolas <sez@debian.org>
Cc: 687402@bugs.debian.org
Subject: Re: Bug#687402: beanstalkd: FTBFS: tests failed
Date: Mon, 24 Sep 2012 17:03:45 -0700
If libevent 1.4 is not an option, I'll get the 1.4.x series of beanstalkd
working with libevent 2 and make a bugfix release.

Should I do that?



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#687402; Package src:beanstalkd. (Tue, 25 Sep 2012 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. (Tue, 25 Sep 2012 09:51:03 GMT) Full text and rfc822 format available.

Message #32 received at 687402@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: Keith Rarick <kr@xph.us>
Cc: 687402@bugs.debian.org
Subject: Re: Bug#687402: beanstalkd: FTBFS: tests failed
Date: Tue, 25 Sep 2012 11:45:13 +0200
[Message part 1 (text/plain, inline)]
Keith,

On Mon, Sep 24, 2012 at 05:03:45PM -0700, Keith Rarick wrote:
> If libevent 1.4 is not an option, I'll get the 1.4.x series of beanstalkd
> working with libevent 2 and make a bugfix release.

Not, it's not an option.

> Should I do that?

Your previous email sort of implied that you wouldn't do that.

If that's not the case, and you don't mind supporting 1.4.x for some years to
come, then by all means. But please, whatever you choose, stick to that.

If you confirm, I'll close #688244 (see bugs.debian.org/688244)

-- 
Every great idea is worthless without someone to do the work. --Neil Williams
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Serafeim Zanikolas <sez@debian.org>:
Bug#687402; Package src:beanstalkd. (Wed, 26 Sep 2012 00:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith Rarick <kr@xph.us>:
Extra info received and forwarded to list. Copy sent to Serafeim Zanikolas <sez@debian.org>. (Wed, 26 Sep 2012 00:27:03 GMT) Full text and rfc822 format available.

Message #37 received at 687402@bugs.debian.org (full text, mbox):

From: Keith Rarick <kr@xph.us>
To: Serafeim Zanikolas <sez@debian.org>
Cc: 687402@bugs.debian.org
Subject: Re: Bug#687402: beanstalkd: FTBFS: tests failed
Date: Tue, 25 Sep 2012 17:24:14 -0700
Hey, sorry, I didn't mean to imply that I wouldn't make a
fix. I said before I'm happy to maintain 1.4.x for several
years and that's still true.

As part of my responsibility maintaining 1.4.x, I was just
trying to start with the most expedient reasonable option,
which would have been to use libevent 1.4 if that were
possible. Since it's not possible, I'll absolutely make sure
that beanstalkd 1.4.x works with libevent 2.



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#687402; Package src:beanstalkd. (Wed, 26 Sep 2012 10:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. (Wed, 26 Sep 2012 10:24:03 GMT) Full text and rfc822 format available.

Message #42 received at 687402@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: Keith Rarick <kr@xph.us>
Cc: 687402@bugs.debian.org
Subject: Re: Bug#687402: beanstalkd: FTBFS: tests failed
Date: Wed, 26 Sep 2012 12:20:52 +0200
[Message part 1 (text/plain, inline)]
That's fine Keith. Let me know please when you have something ready.

-- 
Every great idea is worthless without someone to do the work. --Neil Williams
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'kr@xph.us'. Request was from Serafeim Zanikolas <sez@debian.org> to control@bugs.debian.org. (Sun, 07 Oct 2012 18:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Serafeim Zanikolas <sez@debian.org>:
Bug#687402; Package src:beanstalkd. (Mon, 08 Oct 2012 07:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith Rarick <kr@xph.us>:
Extra info received and forwarded to list. Copy sent to Serafeim Zanikolas <sez@debian.org>. (Mon, 08 Oct 2012 07:09:03 GMT) Full text and rfc822 format available.

Message #49 received at 687402@bugs.debian.org (full text, mbox):

From: Keith Rarick <kr@xph.us>
To: Serafeim Zanikolas <sez@debian.org>
Cc: 687402@bugs.debian.org
Subject: Re: Bug#687402: beanstalkd: FTBFS: tests failed
Date: Mon, 8 Oct 2012 00:03:46 -0700
Small update: I've reproduced this myself. It seems to be
because of a difference in FIU from 0.14 to 0.90.



Information forwarded to debian-bugs-dist@lists.debian.org, Serafeim Zanikolas <sez@debian.org>:
Bug#687402; Package src:beanstalkd. (Mon, 08 Oct 2012 07:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith Rarick <kr@xph.us>:
Extra info received and forwarded to list. Copy sent to Serafeim Zanikolas <sez@debian.org>. (Mon, 08 Oct 2012 07:21:03 GMT) Full text and rfc822 format available.

Message #54 received at 687402@bugs.debian.org (full text, mbox):

From: Keith Rarick <kr@xph.us>
To: Serafeim Zanikolas <sez@debian.org>
Cc: 687402@bugs.debian.org
Subject: Re: Bug#687402: beanstalkd: FTBFS: tests failed
Date: Mon, 8 Oct 2012 00:15:57 -0700
Indeed, the command line flags for fiu-ctrl have changed.
The old flags (-e and -d) are still accepted but sliently
ignored; instead of a proper error message, it simply
produced incorrect behavior.

I updated the tests that use FIU and now all tests pass
for me. You can see the change at

https://github.com/kr/beanstalkd/compare/fiu

I'm set to make a bugfix release (1.4.7) but that's, ironically,
a more laborious process than actually fixing the bug. Or,
if it's not hard, feel free to include this as a debian-specific
patch. The diff is tiny and I don't expect this situation to
impact anyone who's not packaging beanstalkd in debian
or a debian-derived environment.



Information forwarded to debian-bugs-dist@lists.debian.org, Serafeim Zanikolas <sez@debian.org>:
Bug#687402; Package src:beanstalkd. (Mon, 08 Oct 2012 07:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith Rarick <kr@xph.us>:
Extra info received and forwarded to list. Copy sent to Serafeim Zanikolas <sez@debian.org>. (Mon, 08 Oct 2012 07:24:04 GMT) Full text and rfc822 format available.

Message #59 received at 687402@bugs.debian.org (full text, mbox):

From: Keith Rarick <kr@xph.us>
To: Serafeim Zanikolas <sez@debian.org>
Cc: 687402@bugs.debian.org
Subject: Re: Bug#687402: beanstalkd: FTBFS: tests failed
Date: Mon, 8 Oct 2012 00:20:11 -0700
On Mon, Oct 8, 2012 at 12:15 AM, Keith Rarick <kr@xph.us> wrote:
> You can see the change at
>
> https://github.com/kr/beanstalkd/compare/fiu

Just to be really explicit, the only relevant change right
now is https://github.com/kr/beanstalkd/commit/3176e28.

That compare view also lists another patch, for dprintf,
which was made in beanstalkd after 1.4.6 and I believe is
already being applied by debian.



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#687402; Package src:beanstalkd. (Mon, 08 Oct 2012 18:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. (Mon, 08 Oct 2012 18:39:06 GMT) Full text and rfc822 format available.

Message #64 received at 687402@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: Keith Rarick <kr@xph.us>
Cc: 687402@bugs.debian.org
Subject: Re: Bug#687402: beanstalkd: FTBFS: tests failed
Date: Mon, 8 Oct 2012 20:33:48 +0200
On Mon, Oct 08, 2012 at 12:20:11AM -0700, Keith Rarick wrote:
> On Mon, Oct 8, 2012 at 12:15 AM, Keith Rarick <kr@xph.us> wrote:
> > You can see the change at
> >
> > https://github.com/kr/beanstalkd/compare/fiu

Thanks. No need for an upstream release.

I'll also drop "-i" from the fiu-ctrl invocation (it's silently ignored too).

-- 
Every great idea is worthless without someone to do the work. --Neil Williams



Information forwarded to debian-bugs-dist@lists.debian.org, Serafeim Zanikolas <sez@debian.org>:
Bug#687402; Package src:beanstalkd. (Sat, 13 Oct 2012 17:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Serafeim Zanikolas <sez@debian.org>. (Sat, 13 Oct 2012 17:21:05 GMT) Full text and rfc822 format available.

Message #69 received at 687402@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: debian-release@lists.debian.org
Cc: 687402@bugs.debian.org
Subject: beanstalkd: proposed TPU (diff for NMU version 1.4.6-3.1)
Date: Sat, 13 Oct 2012 18:17:14 +0100
[Message part 1 (text/plain, inline)]
tags 687402 + patch
tags 687402 + pending
thanks

Dear RMs,

Please consider the attached patch for beanstalkd to fix
RC bug #687402 (FTBFS, test failure). It must go through TPU.

Hi Serafeim: this also serves as notice to NMU through
DELAYED/2, please feel free to tell me if I should delay it longer.

Thanks,

-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

<directhex> i have six years of solaris sysadmin experience, from
            8->10. i am well qualified to say it is made from bonghits
			layered on top of bonghits
[beanstalkd-1.4.6-3.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 17:21:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 17:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Serafeim Zanikolas <sez@debian.org>:
Bug#687402; Package src:beanstalkd. (Sat, 13 Oct 2012 17:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Serafeim Zanikolas <sez@debian.org>. (Sat, 13 Oct 2012 17:54:07 GMT) Full text and rfc822 format available.

Message #78 received at 687402@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Jonathan Wiltshire <jmw@debian.org>
Cc: <debian-release@lists.debian.org>, <687402@bugs.debian.org>
Subject: Re: beanstalkd: proposed TPU (diff for NMU version 1.4.6-3.1)
Date: Sat, 13 Oct 2012 18:52:50 +0100
On 13.10.2012 18:17, Jonathan Wiltshire wrote:
> Please consider the attached patch for beanstalkd to fix
> RC bug #687402 (FTBFS, test failure). It must go through TPU.
>
> Hi Serafeim: this also serves as notice to NMU through
> DELAYED/2, please feel free to tell me if I should delay it longer.

Looks okay to me; thanks.

Regards,

Adam



Information forwarded to debian-bugs-dist@lists.debian.org, Serafeim Zanikolas <sez@debian.org>:
Bug#687402; Package src:beanstalkd. (Sat, 13 Oct 2012 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Serafeim Zanikolas <sez@debian.org>. (Sat, 13 Oct 2012 18:15:03 GMT) Full text and rfc822 format available.

Message #83 received at 687402@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 687402@bugs.debian.org
Subject: Re: beanstalkd: proposed TPU (diff for NMU version 1.4.6-3.1)
Date: Sat, 13 Oct 2012 19:10:49 +0100
[Message part 1 (text/plain, inline)]
On Sat, Oct 13, 2012 at 06:17:14PM +0100, Jonathan Wiltshire wrote:
> Hi Serafeim: this also serves as notice to NMU through
> DELAYED/2, please feel free to tell me if I should delay it longer.

Oops, I uploaded it directly to t-p-u, sorry about that. If it causes a
problem the release team can remove it again, so not the end of the world.

-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

[signature.asc (application/pgp-signature, inline)]

Reply sent to Jonathan Wiltshire <jmw@debian.org>:
You have taken responsibility. (Sat, 13 Oct 2012 18:21:06 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 13 Oct 2012 18:21:06 GMT) Full text and rfc822 format available.

Message #88 received at 687402-close@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 687402-close@bugs.debian.org
Subject: Bug#687402: fixed in beanstalkd 1.4.6-3.1
Date: Sat, 13 Oct 2012 18:17:24 +0000
Source: beanstalkd
Source-Version: 1.4.6-3.1

We believe that the bug you reported is fixed in the latest version of
beanstalkd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687402@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Wiltshire <jmw@debian.org> (supplier of updated beanstalkd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 13 Oct 2012 17:53:25 +0100
Source: beanstalkd
Binary: beanstalkd
Architecture: source amd64
Version: 1.4.6-3.1
Distribution: testing-proposed-updates
Urgency: low
Maintainer: Serafeim Zanikolas <sez@debian.org>
Changed-By: Jonathan Wiltshire <jmw@debian.org>
Description: 
 beanstalkd - simple, in-memory, workqueue service
Closes: 687402
Changes: 
 beanstalkd (1.4.6-3.1) testing-proposed-updates; urgency=low
 .
   * Non-maintainer upload.
   * Cherry-pick upstream patch for newer FIU version output parsing
     (Closes: #687402)
Checksums-Sha1: 
 a3c30dc29793ea0fc414c15fc988687434ba34f9 1839 beanstalkd_1.4.6-3.1.dsc
 30ce1ae1b830f76b782467a5e94e02afeef055de 9515 beanstalkd_1.4.6-3.1.debian.tar.gz
 23374f8285e8608d9c9ede6cea283704186f7edd 43172 beanstalkd_1.4.6-3.1_amd64.deb
Checksums-Sha256: 
 0558f43e96f115619ff008763eae27f2f026ef7939192f77e38ce755f89a4f2a 1839 beanstalkd_1.4.6-3.1.dsc
 c6458f1d9e0c3d8f67e10dcf284e47e4fbba2216bdd8f05f4adf683b62f529cf 9515 beanstalkd_1.4.6-3.1.debian.tar.gz
 a3ac22949ca915a238af9d849cdbe0ceb20ad753b9597778e8b7ccc7cfa1ee5d 43172 beanstalkd_1.4.6-3.1_amd64.deb
Files: 
 7f9ebeb5f244196c79cb1acced1d7396 1839 net extra beanstalkd_1.4.6-3.1.dsc
 79f12c8fc225cebbf94a7f86db37e5fc 9515 net extra beanstalkd_1.4.6-3.1.debian.tar.gz
 9c14a0422a9d5ce99c778ff278567b05 43172 net extra beanstalkd_1.4.6-3.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJQeZ4AAAoJEFC7AtTIpr9h0r4QAJ1GEeaZReZgq/XKeGrTbMCW
PEWYb9V0OPxO9Z49KsLNIWSOm/+akhpC/uo1eAvvDgs5hojGudO2kVw1PiFroyQE
XSw800cdbgLco4IOmPlxtaGkP8OFFDXhVQ5qYSc/Z24ePntqu8qnMJ7JqJuMpD/s
xpnsnyjLS3TT511YzkssTRrqfjySG4DheCexCRR0GYJIYuGa+Yg15luJm81zaXg+
ms01nbDg74pXrcMrVNGSt6R+bo+Xuv8QEMSjt9nXrpZUmyXap35c1OFQYqdy2ufF
69WXyMFxmPnbfNvZQ6XZKU8eXwnuM8o4YQjdYaxDrbGAUunal9nNCmzHJU4ZT77Z
HGEYjkQT9Hwhv4zJNI9Sixx2JK0BUe/qKpb3uOxSa7F5sdOvNVbgZquA28YeIuYM
PCBGb/Wcs30azsN/j33ITmHphxZKIVn038cJMzhgWuS+WE/aIg/mxXkD2eR6gcSJ
OYcds1LxVorbhm9KAi/mMB+FytYqAKcvm+eI23ZchfrurzXuA0HwxOyPQB0JwWM+
cJhj3ceJVbDpSz8ALrKYfSpQa2r81uk0ktPQ6Pry4glt1cQWFeW56fdBEtP/36ME
M92WMq4XUNtw1grm+QqRMiEodICdO8swX/a7mc4Itz19ZxfjiFmwTouR3aVLrms+
jT+TdvonXjMZDlg7D5ij
=qaZ0
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#687402; Package src:beanstalkd. (Sat, 13 Oct 2012 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. (Sat, 13 Oct 2012 19:27:03 GMT) Full text and rfc822 format available.

Message #93 received at 687402@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: debian-release@lists.debian.org, Jonathan Wiltshire <jmw@debian.org>
Cc: 687402@bugs.debian.org
Subject: Re: Bug#687402: beanstalkd: proposed TPU (diff for NMU version 1.4.6-3.1)
Date: Sat, 13 Oct 2012 21:22:51 +0200
[Message part 1 (text/plain, inline)]
Thanks Jonathan.

Dear RMs, here's an almost identical patch (also, dropping -i as it's also
deprecated, and adding VCS headers).

Thanks,
sez


diff --git a/debian/changelog b/debian/changelog
index df8d3cd..4e560e6 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,13 @@
+beanstalkd (1.4.6-4) testing-proposed-updates; urgency=low
+
+  * Add fiu-fix.diff (upstream commit 3176e28) to fix FTBFS due to
+    fiu-ctrl silently ignoring obsolete command line arguments
+    (Closes: #687402)
+  * Bump up Standards-Version to 3.9.4
+    - Add Vcs-* headers in debian/control
+
+ -- Serafeim Zanikolas <sez@debian.org>  Mon, 08 Oct 2012 18:57:43 +0200
+
 beanstalkd (1.4.6-3) unstable; urgency=high
 
   * Patch sh-tests/common.functions to randomise the listener port during
diff --git a/debian/control b/debian/control
index 0eacaeb..ad2d77e 100644
--- a/debian/control
+++ b/debian/control
@@ -5,8 +5,10 @@ Maintainer: Serafeim Zanikolas <sez@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libtool,
                libevent-dev (>= 1.4.1), fiu-utils (>=0.13-3), procps,
                net-tools, python-minimal
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://xph.us/software/beanstalkd/
+Vcs-Git: git://git.debian.org/collab-maint/beanstalkd.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/beanstalkd.git
 
 Package: beanstalkd
 Architecture: any
diff --git a/debian/patches/fiu-fix.diff b/debian/patches/fiu-fix.diff
new file mode 100644
index 0000000..dcc2b7d
--- /dev/null
+++ b/debian/patches/fiu-fix.diff
@@ -0,0 +1,60 @@
+# Description: correct fiu-ctrl arguments for 0.90
+# Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=687402
+# Author: Keith Rarick <kr@xph.us>
+# Last-Update: 2012-10-08
+--- a/sh-tests/binlog-diskfull-delete.sh
++++ b/sh-tests/binlog-diskfull-delete.sh
+@@ -2,7 +2,6 @@
+ 
+ . "$SRCDIR/sh-tests/common.functions"
+ 
+-ENOSPC=28
+ server=localhost
+ tmpdir="$TMPDIR"
+ size=1000
+@@ -81,7 +80,7 @@
+ }
+ 
+ # Make beanstalkd think the disk is full now.
+-fiu-ctrl -e posix/io/oc/open -i $ENOSPC $bpid
++fiu-ctrl -c 'enable name=posix/io/oc/open' $bpid
+ 
+ # Insert enough jobs to create another binlog file
+ $nc $server $port <<EOF > "$out1"
+@@ -138,7 +137,7 @@
+ test ! -e "$logdir"/binlog.1 || fail First binlog file is still there
+ 
+ # Now make beanstalkd think the disk once again has space.
+-fiu-ctrl -d posix/io/oc/open $bpid
++fiu-ctrl -c 'disable name=posix/io/oc/open' $bpid
+ 
+ # Insert enough jobs to create another binlog file
+ $nc $server $port <<EOF > "$out1"
+--- a/sh-tests/binlog-diskfull.sh
++++ b/sh-tests/binlog-diskfull.sh
+@@ -2,7 +2,6 @@
+ 
+ . "$SRCDIR/sh-tests/common.functions"
+ 
+-ENOSPC=28
+ server=localhost
+ tmpdir="$TMPDIR"
+ size=1000
+@@ -39,7 +38,7 @@
+ start_beanstalkd $logdir "-s $size" "fiu-run -x"
+ 
+ # Make beanstalkd think the disk is full now.
+-fiu-ctrl -e posix/io/oc/open -i $ENOSPC $bpid
++fiu-ctrl -c 'enable name=posix/io/oc/open' $bpid
+ 
+ # Insert enough jobs to create another binlog file
+ $nc $server $port <<EOF > "$out1"
+@@ -70,7 +69,7 @@
+ test "$res" -eq 0 || exit $res
+ 
+ # Now make beanstalkd think the disk once again has space.
+-fiu-ctrl -d posix/io/oc/open $bpid
++fiu-ctrl -c 'disable name=posix/io/oc/open' $bpid
+ 
+ # Insert enough jobs to create another binlog file
+ $nc $server $port <<EOF > "$out1"
diff --git a/debian/patches/series b/debian/patches/series
index e47659f..f30298a 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -1,2 +1,3 @@
+fiu-fix.diff
 rename-dprintf.diff
 randomise-port.diff

-- 
Every great idea is worthless without someone to do the work. --Neil Williams
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Serafeim Zanikolas <sez@debian.org>:
Bug#687402; Package src:beanstalkd. (Sat, 13 Oct 2012 20:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Serafeim Zanikolas <sez@debian.org>. (Sat, 13 Oct 2012 20:21:05 GMT) Full text and rfc822 format available.

Message #98 received at 687402@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Serafeim Zanikolas <sez@debian.org>
Cc: <debian-release@lists.debian.org>, Jonathan Wiltshire <jmw@debian.org>, <687402@bugs.debian.org>
Subject: Re: Bug#687402: beanstalkd: proposed TPU (diff for NMU version 1.4.6-3.1)
Date: Sat, 13 Oct 2012 21:19:24 +0100
On 13.10.2012 20:22, Serafeim Zanikolas wrote:
> Dear RMs, here's an almost identical patch (also, dropping -i as it's 
> also
> deprecated, and adding VCS headers).

On the whole, this looks fine; thanks. However:

> +  * Bump up Standards-Version to 3.9.4

The d-d-a mail announcing the release of policy 3.9.4 specifically 
asked people *not* to do that.

Regards,

Adam



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#687402; Package src:beanstalkd. (Sat, 13 Oct 2012 22:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. (Sat, 13 Oct 2012 22:21:04 GMT) Full text and rfc822 format available.

Message #103 received at 687402@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: debian-release@lists.debian.org
Cc: Jonathan Wiltshire <jmw@debian.org>, 687402@bugs.debian.org
Subject: Re: Bug#687402: beanstalkd: proposed TPU (diff for NMU version 1.4.6-3.1)
Date: Sun, 14 Oct 2012 00:15:53 +0200
[Message part 1 (text/plain, inline)]
On Sat, Oct 13, 2012 at 09:19:24PM +0100, Adam D. Barratt wrote:
> On 13.10.2012 20:22, Serafeim Zanikolas wrote:
> >Dear RMs, here's an almost identical patch (also, dropping -i as
> >it's also
> >deprecated, and adding VCS headers).
> 
> On the whole, this looks fine; thanks. However:
> 
> >+  * Bump up Standards-Version to 3.9.4
> 
> The d-d-a mail announcing the release of policy 3.9.4 specifically
> asked people *not* to do that.

oh sorry about that; will upload with S-V set to 3.9.3 then.

thanks,

-- 
Every great idea is worthless without someone to do the work. --Neil Williams
[signature.asc (application/pgp-signature, inline)]

Reply sent to Serafeim Zanikolas <sez@debian.org>:
You have taken responsibility. (Sun, 14 Oct 2012 09:48:05 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 14 Oct 2012 09:48:06 GMT) Full text and rfc822 format available.

Message #108 received at 687402-close@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: 687402-close@bugs.debian.org
Subject: Bug#687402: fixed in beanstalkd 1.4.6-4
Date: Sun, 14 Oct 2012 09:17:25 +0000
Source: beanstalkd
Source-Version: 1.4.6-4

We believe that the bug you reported is fixed in the latest version of
beanstalkd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687402@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Serafeim Zanikolas <sez@debian.org> (supplier of updated beanstalkd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 08 Oct 2012 18:57:43 +0200
Source: beanstalkd
Binary: beanstalkd
Architecture: source i386
Version: 1.4.6-4
Distribution: testing-proposed-updates
Urgency: low
Maintainer: Serafeim Zanikolas <sez@debian.org>
Changed-By: Serafeim Zanikolas <sez@debian.org>
Description: 
 beanstalkd - simple, in-memory, workqueue service
Closes: 687402
Changes: 
 beanstalkd (1.4.6-4) testing-proposed-updates; urgency=low
 .
   * Add fiu-fix.diff (upstream commit 3176e28) to fix FTBFS due to
     fiu-ctrl silently ignoring obsolete command line arguments
     (Closes: #687402)
   * Add Vcs-* headers in debian/control
   * Bump up Standards-Version to 3.9.3 (no changes)
Checksums-Sha1: 
 05867748a4510dbcb44a5c75ffd7adefd320d3f7 1957 beanstalkd_1.4.6-4.dsc
 69fbd630d43b6dee72bd8304f1caef677cd9a50e 9367 beanstalkd_1.4.6-4.debian.tar.gz
 a4ac90492142a9b7185faf665c7ba1920783190d 44300 beanstalkd_1.4.6-4_i386.deb
Checksums-Sha256: 
 8fd208df0fcdc88ab947c4378a094e66377f5505c8b9be9af3a81f5a743203ff 1957 beanstalkd_1.4.6-4.dsc
 744f4b99de430101c94c0f7625eb106cc84837cdf4028a46ce7a2a13c15d77e6 9367 beanstalkd_1.4.6-4.debian.tar.gz
 f368a509b22c40515b52430c2e3bc9c8105d708a5ccec2ba20fd858df41e000a 44300 beanstalkd_1.4.6-4_i386.deb
Files: 
 02b9343bb609091953b02ab3771eb91b 1957 net extra beanstalkd_1.4.6-4.dsc
 d416ac847c04a280a0b1c63f2eebca46 9367 net extra beanstalkd_1.4.6-4.debian.tar.gz
 91e0b5715884f87d57542bae587ac5da 44300 net extra beanstalkd_1.4.6-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQeemjAAoJEE+fbVUO1hIqSNYP/07hJ9x/NA93VOPExVOfV+Jm
bYJ0NCBU7snO8XbE9eslRpkcqGU/ywV6DmN+EaahM8fNt63mI4vrImRDVKsEc+oR
gLFr3WE/9ErfcRzpLE+yYEmjemVbdIOMh7ZUXww2Yn9tR4rGPkCOnudiavAswq6w
uu9ERKXW0WLFBkbu3+1xTv2gmn5x7KzeZiM2nE44U0utyCtfeWIzEgvYvIsw9DNI
hFDrkYJBkKlyDGSKrjjuMsgaagMqnfR6ImFFvBQB1xpwzfSelu8VUMTlOpQOKFn4
HIpMXKFebSkQXBzn0YFFWz0rGGLVzmBCFVhN3fdI+m5sMsR0UXjOsAb05oqPOz+Q
r6Z1yjsp5NaqKCdtKaeZVOIpOWQIR5q5lIMnDZYZQXB1bt04PmA31qHRDkBjtG2j
HdddUhs+bQ/XUvocN18D+BGJMG+5266ZOATw2kO1ZUT0+DCjE6bj0ps1YYqjLQFu
Ykpg42jJKGf15ZY17Y4NWGufh9x0wY79Oit8QduEXpvr6VakoFdLrJv27kXrFCs2
Ci9Xzl425B4fQrj3CVaLoRctDeAmhLfe7rYrEXXKcwWO3qaYh+wBKOXdir6Zq3y1
/2djKxa07kxU0ZyzRYqy798KELZLU/35jnKRZ7ayMw4UJ9uI6E4xcYlgyPDUiGS7
5oYurC3zjOfqitJEWxEu
=vOcZ
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Serafeim Zanikolas <sez@debian.org>:
Bug#687402; Package src:beanstalkd. (Sun, 14 Oct 2012 10:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Serafeim Zanikolas <sez@debian.org>. (Sun, 14 Oct 2012 10:30:08 GMT) Full text and rfc822 format available.

Message #113 received at 687402@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Serafeim Zanikolas <sez@debian.org>
Cc: <debian-release@lists.debian.org>, Jonathan Wiltshire <jmw@debian.org>, <687402@bugs.debian.org>
Subject: Re: Bug#687402: beanstalkd: proposed TPU (diff for NMU version 1.4.6-3.1)
Date: Sun, 14 Oct 2012 11:26:42 +0100
On 13.10.2012 23:15, Serafeim Zanikolas wrote:
> On Sat, Oct 13, 2012 at 09:19:24PM +0100, Adam D. Barratt wrote:
>> On 13.10.2012 20:22, Serafeim Zanikolas wrote:
>> >Dear RMs, here's an almost identical patch (also, dropping -i as
>> >it's also
>> >deprecated, and adding VCS headers).
>>
>> On the whole, this looks fine; thanks. However:
>>
>> >+  * Bump up Standards-Version to 3.9.4
>>
>> The d-d-a mail announcing the release of policy 3.9.4 specifically
>> asked people *not* to do that.
>
> oh sorry about that; will upload with S-V set to 3.9.3 then.

You could just have not bumped it at all instead. ;-) Approve hint 
added.

Regards,

Adam



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Nov 2012 07:25:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:17:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.